Why release, when there is no upgrade support?

Joomla versions 2.5, 1.7 and 1.6 are all end-of-life since December 31st 2014 and are no longer supported. Please use Joomla 3.x instead.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Locked
User avatar
unix
Joomla! Apprentice
Joomla! Apprentice
Posts: 25
Joined: Sun Dec 10, 2006 10:41 pm
Location: Ottawa

Why release, when there is no upgrade support?

Post by unix » Wed Jan 19, 2011 12:30 am

Hello guys, i been surfing around internet almost 2 weeks now, and i see everyone talks about upgrading, some people even didn't sleep waiting joomla 1.6 to come out but the main problem is there is no UPGRADE SUPPORT i have ie/50000 articles with joomla 1.5 how do u expect me to move/upgrade images & stuff in the new joomla 1.6? isn't this kind of strange? i tried in demo mode the installation of 1.5, and the jupgrade (the most shitty component i ever used) and it stucks all the times even if i do the requirements that have been asked by the same.

For now, i decide to keep myself (downgraded) since the Joomla 1.6 is brand new and i love new stuff but my personal opinion (I WOULD NOT RELEASE A STABLE VERSION WITHOUT ANY PLAN B ie. AUTOMATIC MIGRATING TOOL)

Thanks in advance, i know i might be hated but that's the reality.
Software is like sex, it's better when it's free!

User avatar
ranwilli
Joomla! Master
Joomla! Master
Posts: 19136
Joined: Sun Feb 19, 2006 6:47 pm
Location: Toledo, OH
Contact:

Re: Why release, when there is no upgrade support?

Post by ranwilli » Wed Jan 19, 2011 1:22 am

Naw, we don't hate you, but noone has suggested that this first release is going to work for anyone to build anything except a very simple site. The extensions (including a migration tool) just aren't ready yet.

I'm guessing I will build 20 - 50 brand new sites from Joomla 1.5 before I make the first one with 1.6.

Relax, there is at least one team working on a migration...

What were you planning to do about your extensions?
Don't HACK the Joomla! core, Instead "Extend" and/or "Override."
Stay ON the update path.
https://harpervance.com

User avatar
unix
Joomla! Apprentice
Joomla! Apprentice
Posts: 25
Joined: Sun Dec 10, 2006 10:41 pm
Location: Ottawa

Re: Why release, when there is no upgrade support?

Post by unix » Wed Jan 19, 2011 1:31 am

ranwilli wrote:Naw, we don't hate you, but noone has suggested that this first release is going to work for anyone to build anything except a very simple site. The extensions (including a migration tool) just aren't ready yet.

I'm guessing I will build 20 - 50 brand new sites from Joomla 1.5 before I make the first one with 1.6.

Relax, there is at least one team working on a migration...

What were you planning to do about your extensions?
Well, i thought so.. (i might need a relax time) this is like where all the world will be, there i will too.

About the extensions, i thought i might re-code them some (i made) even tho it might take me some time but the commercial one's i use mostly i think they plan in couple of weeks or more to upgrade them into 1.6 so it wouldn't be a big deal.

Thanks for the honest answer Ranwilli ;) i hope we won't have any security patch meanwhile for the 1.5
Software is like sex, it's better when it's free!

User avatar
ranwilli
Joomla! Master
Joomla! Master
Posts: 19136
Joined: Sun Feb 19, 2006 6:47 pm
Location: Toledo, OH
Contact:

Re: Why release, when there is no upgrade support?

Post by ranwilli » Wed Jan 19, 2011 1:42 am

unix wrote:... I hope we won't have any security patch meanwhile for the 1.5
You can expect them for the next 18 months.
Don't HACK the Joomla! core, Instead "Extend" and/or "Override."
Stay ON the update path.
https://harpervance.com

User avatar
ianmac
Joomla! Virtuoso
Joomla! Virtuoso
Posts: 4784
Joined: Sat Sep 24, 2005 11:01 pm
Location: Toronto, Canada

Re: Why release, when there is no upgrade support?

Post by ianmac » Thu Jan 20, 2011 4:15 pm

ranwilli wrote:
unix wrote:... I hope we won't have any security patch meanwhile for the 1.5
You can expect them for the next 18 months.
Actually 15 months.

Ian


Locked

Return to “Migrating and Upgrading to Joomla! 2.5”